> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 4.5 ref2i Spicy



## OpenAPI

````yaml openapi-spec/seedream-4.5-ref2i-spicy.json POST /v1/images/generations/async
openapi: 3.1.0
info:
  description: >-
    Seedream 4.5 Image-to-Image enables precise AI-powered image
    transformations, helping creators iterate, enhance, and restyle visuals with
    consistency.
  summary: API for Seedream 4.5 ref2i Spicy model
  title: Seedream 4.5 ref2i Spicy API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Seedream 4.5 ref2i Spicy - Seedream 4.5 Image-to-Image enables precise
      AI-powered image transformations, helping creators iterate, enhance, and
      restyle visuals with consistency.
    name: Seedream 4.5 ref2i Spicy
paths:
  /v1/images/generations/async:
    post:
      tags:
        - Seedream 4.5 ref2i Spicy
      summary: Generate image
      description: Generate an image using the Seedream 4.5 ref2i Spicy model
      operationId: image_model-7trjvck64jrvh9go
      requestBody:
        content:
          application/json:
            example:
              images:
                - example_value
              model: bytedance/seedream-4.5-ref2i-spicy
              prompt: example_value
              size: 2048x2048
            schema:
              description: Request format for image generation models
              properties:
                images:
                  description: Array of input images, which can be data URL or image URL
                  items:
                    type: string
                  maxItems: 10
                  minItems: 1
                  type: array
                model:
                  description: Model name to use for the request
                  enum:
                    - bytedance/seedream-4.5-ref2i-spicy
                  type: string
                prompt:
                  description: Text prompt for generation
                  type: string
                size:
                  description: Fixed size
                  enum:
                    - 2048x2048
                    - 2304x1728
                    - 1728x2304
                    - 2560x1440
                    - 1440x2560
                    - 2496x1664
                    - 1664x2496
                    - 3024x1296
                  type: string
              required:
                - model
                - prompt
                - images
                - size
              title: Image Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````